/* ========================================================================= *
 *                                                                           *
 *                 The Apache Software License,  Version 1.1                 *
 *                                                                           *
 *         Copyright (c) 1999, 2000  The Apache Software Foundation.         *
 *                           All rights reserved.                            *
 *                                                                           *
 * ========================================================================= *
 *                                                                           *
 * Redistribution and use in source and binary forms,  with or without modi- *
 * fication, are permitted provided that the following conditions are met:   *
 *                                                                           *
 * 1. Redistributions of source code  must retain the above copyright notice *
 *    notice, this list of conditions and the following disclaimer.          *
 *                                                                           *
 * 2. Redistributions  in binary  form  must  reproduce the  above copyright *
 *    notice,  this list of conditions  and the following  disclaimer in the *
 *    documentation and/or other materials provided with the distribution.   *
 *                                                                           *
 * 3. The end-user documentation  included with the redistribution,  if any, *
 *    must include the following acknowlegement:                             *
 *                                                                           *
 *       "This product includes  software developed  by the Apache  Software *
 *        Foundation <http://www.apache.org/>."                              *
 *                                                                           *
 *    Alternately, this acknowlegement may appear in the software itself, if *
 *    and wherever such third-party acknowlegements normally appear.         *
 *                                                                           *
 * 4. The names  "The  Jakarta  Project",  "Tomcat",  and  "Apache  Software *
 *    Foundation"  must not be used  to endorse or promote  products derived *
 *    from this  software without  prior  written  permission.  For  written *
 *    permission, please contact <apache@apache.org>.                        *
 *                                                                           *
 * 5. Products derived from this software may not be called "Apache" nor may *
 *    "Apache" appear in their names without prior written permission of the *
 *    Apache Software Foundation.                                            *
 *                                                                           *
 * THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED WARRANTIES *
 * INCLUDING, BUT NOT LIMITED TO,  THE IMPLIED WARRANTIES OF MERCHANTABILITY *
 * AND FITNESS FOR  A PARTICULAR PURPOSE  ARE DISCLAIMED.  IN NO EVENT SHALL *
 * THE APACHE  SOFTWARE  FOUNDATION OR  ITS CONTRIBUTORS  BE LIABLE  FOR ANY *
 * DIRECT,  INDIRECT,   INCIDENTAL,  SPECIAL,  EXEMPLARY,  OR  CONSEQUENTIAL *
 * DAMAGES (INCLUDING,  BUT NOT LIMITED TO,  PROCUREMENT OF SUBSTITUTE GOODS *
 * OR SERVICES;  LOSS OF USE,  DATA,  OR PROFITS;  OR BUSINESS INTERRUPTION) *
 * HOWEVER CAUSED AND  ON ANY  THEORY  OF  LIABILITY,  WHETHER IN  CONTRACT, *
 * STRICT LIABILITY, OR TORT  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN *
 * ANY  WAY  OUT OF  THE  USE OF  THIS  SOFTWARE,  EVEN  IF  ADVISED  OF THE *
 * POSSIBILITY OF SUCH DAMAGE.                                               *
 *                                                                           *
 * ========================================================================= *
 *                                                                           *
 * This software  consists of voluntary  contributions made  by many indivi- *
 * duals on behalf of the  Apache Software Foundation.  For more information *
 * on the Apache Software Foundation, please see <http://www.apache.org/>.   *
 *                                                                           *
 * ========================================================================= */
package org.apache.catalina.connector.warp;

/**
 *
 *
 * @author <a href="mailto:pier.fumagalli@eng.sun.com">Pier Fumagalli</a>
 * @author Copyright &copy; 1999, 2000 <a href="http://www.apache.org">The
 *         Apache Software Foundation.
 * @version CVS $Id: WarpConstants.java,v 1.8 2001/01/24 23:10:44 pier Exp $
 */
public class WarpConstants {

    /* The VERSION of this implementation. */
    public static final String VERSION = "0.5";

    /* The RID associated with the connection controller handler (0x00000). */
    public static final int RID_CONNECTION = 0x00000;

    /* The RID indicating that the connection must be closed (0x0ffff). */
    public static final int RID_DISCONNECT = 0x0ffff;

    /* The RID minimum value (0x00001). */
    public static final int RID_MIN = 0x00001;

    /* The RID maximum value (0x0fffe). */
    public static final int RID_MAX = 0x0fffe;

    public static final int TYP_CONINIT_HST = 0x00000;
    public static final int TYP_CONINIT_HID = 0x00001;
    public static final int TYP_CONINIT_APP = 0x00002;
    public static final int TYP_CONINIT_AID = 0x00003;
    public static final int TYP_CONINIT_REQ = 0x00004;
    public static final int TYP_CONINIT_RID = 0x00005;
    public static final int TYP_CONINIT_ERR = 0x0000F;

    public static final int TYP_REQINIT_MET = 0x00010;
    public static final int TYP_REQINIT_URI = 0x00011;
    public static final int TYP_REQINIT_ARG = 0x00012;
    public static final int TYP_REQINIT_PRO = 0x00013;
    public static final int TYP_REQINIT_HDR = 0x00014;
    public static final int TYP_REQINIT_VAR = 0x00015;
    public static final int TYP_REQINIT_RUN = 0x0001D;
    public static final int TYP_REQINIT_ERR = 0x0001E;
    public static final int TYP_REQINIT_ACK = 0x0001F;
    
    public static final int TYP_REQUEST_STA = 0x00020;
    public static final int TYP_REQUEST_HDR = 0x00021;
    public static final int TYP_REQUEST_CMT = 0x00022;
    public static final int TYP_REQUEST_DAT = 0x00023;
    public static final int TYP_REQUEST_ERR = 0x0002E;
    public static final int TYP_REQUEST_ACK = 0x0002F;
}
